# Clustering.jl

This package provides a set of algorithms for data clustering.

[![0.6](http://pkg.julialang.org/badges/Clustering_0.6.svg)](http://pkg.julialang.org/?pkg=Clustering&ver=0.6)
[![0.7](http://pkg.julialang.org/badges/Clustering_0.7.svg)](http://pkg.julialang.org/?pkg=Clustering&ver=0.7)
[![1.0](http://pkg.julialang.org/badges/Clustering_1.0.svg)](http://pkg.julialang.org/?pkg=Clustering&ver=1.0)

[![Travis](https://travis-ci.org/JuliaStats/Clustering.jl.svg?branch=master)](https://travis-ci.org/JuliaStats/Clustering.jl)
[![Coveralls](https://coveralls.io/repos/github/JuliaStats/Clustering.jl/badge.svg?branch=master)](https://coveralls.io/github/JuliaStats/Clustering.jl?branch=master)

## Installation

```julia
Pkg.add("Clustering")
```

## Functionalities

### Clustering Algorithms

- K-means
- K-medoids
- Affinity Propagation
- Density-based spatial clustering of applications with noise (DBSCAN)
- Markov Clustering Algorithm (MCL)
- Fuzzy C-Means Clustering
- Hierarchical Clustering
  - Single Linkage
  - Average Linkage
  - Complete Linkage
  - Ward's Linkage

### Clustering Validation

- Silhouettes
- Variation of Information
- Rand index
- V-Measure

## Resources

**Documentation:** http://clusteringjl.readthedocs.org/en/latest/
